import numpy as np

class RobotState:
    def on_enter(self, ctx):
        pass

    def on_exit(self, ctx):
        pass

    def update(self, ctx, intent, dt):
        pass

class RobotContext:
    def __init__(self):
        self.current_rad = None
        self.current_pos = None
        self.leg_state = None

        self.robotCommunication = None
        self.shared_sim = None